# -*- encoding: utf-8 -*-
# stub: moj_tribunals_config 1.6.0 ruby lib

Gem::Specification.new do |s|
  s.name = "moj_tribunals_config".freeze
  s.version = "1.6.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Al Davidson".freeze]
  s.date = "2015-03-05"
  s.description = "Used by tribunals_frontend and tribunals_api to share configuration.\n    To use:\n\n    1) add \"gem 'moj_tribunals_config'\" to your Gemfile\n    2) in an initializer, add the following code:\n\n      require 'moj_tribunals_config'\n\n      my_config = Moj::Tribunals::ConfigLoader.new.load\n\n    This will load the default config files from the gem.\n\n\n    To load different files, you can provide an alternative path\n    to the ConfigLoader.new method, e.g.\n\n      my_config = Moj::Tribunals::ConfigLoader.new('/my/alternative/config/path').load\n\n    To just load config for a specific tribunal, you can do:\n\n      config_loader = Moj::Tribunals::ConfigLoader.new\n      config_file = config_loader.config_file_for('utiac')\n      config_loader.load_file( config_file )\n\n    RailsConfig integration\n    =======================\n\n    If you're using the RailsConfig gem, your intializer can just do something like:\n\n    files = Moj::Tribunals::ConfigLoader.new.config_files\n    files.each{ |f| Settings.add_source!( f ) }\n    Settings.reload!\n  ".freeze
  s.email = "apdavidson@gmail.com".freeze
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.homepage = "http://github.com/aldavidson/moj_tribunals_config".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Provides a single source of truth about configuration for MoJ Tribunals.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<shoulda>.freeze, [">= 0"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 3.12"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<jeweler>.freeze, ["~> 2.0.1"])
    s.add_development_dependency(%q<byebug>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
  else
    s.add_dependency(%q<shoulda>.freeze, [">= 0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 3.12"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_dependency(%q<jeweler>.freeze, ["~> 2.0.1"])
    s.add_dependency(%q<byebug>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
  end
end
